Skip to main content
`Ctrl`+`K`

# VecScatterRegister

Adds a new vector scatter component implementation

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterRegister(const char sname[], PetscErrorCode (*function)(VecScatter))

Not Collective

## Input Parameters

- sname - The name of a new user-defined creation routine

- function - The creation routine

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterType`, `VecRegister()`

## Level

advanced

## Location

src/vec/is/sf/interface/vscat.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages